[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# Uname

Return system name.

## Declaration

Source position: oldlinux.pp line 1475

`function Uname(`
`var unamerec: utsname`
`):Boolean;`

## Description

Uname gets the name and configuration of the current linux kernel, and returns it in unamerec.

## Errors

LinuxError is used to report errors.

## See also

GetHostName |  | Return host name
GetDomainName |  | Return current domain name

Documentation generated on: Feb 26 2014